Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Class LogEntry

    java.lang.Object
      com.compoze.collab.log.LogEntry

    public class LogEntry

extends Object

This class is a value object that contains the information needed for an entry in the log. It is instantiated once for each logger and re-used.

Method Summary
`String` | `getAdminMessage()` Gets the administrator message.
`Object[]` | `getArguments()` Gets the values for the arguments to the log entry message.
`ILogContext` | `getContext()` Gets the log context.
`String` | `getHost()` Gets the host that the log message was created on.
`String` | `getKey()` Gets the key for the log entry message in the resource bundle.
`Logger` | `getLogger()` Gets the logger that created the entry.
`LogLevel` | `getLogLevel()` Gets the log level of the entry.
`String` | `getProgrammerMessage()` Gets the programmer message.
`String` | `getThreadName()` Gets the name of the thread that created the log entry.
`Throwable` | `getThrowable()` Gets the `Throwable` included with the log message.
`Date` | `getTime()` Gets the time that the log entry was created.
`String` | `getUserMessage()` Gets the user message.
`boolean` | `isExceptionEntry()` Determines if the entry stores an exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getThrowable

    public Throwable getThrowable()

  Gets the `Throwable` included with the log message.

  Returns
    the throwable

### getProgrammerMessage

    public String getProgrammerMessage()

  Gets the programmer message.

  Returns
    the programmer message

### getAdminMessage

    public String getAdminMessage()

  Gets the administrator message.

  Returns
    the admin message

### getUserMessage

    public String getUserMessage()

  Gets the user message.

  Returns
    the user message

### getLogger

    public Logger getLogger()

  Gets the logger that created the entry.

  Returns
    the logger

### getContext

    public ILogContext getContext()

  Gets the log context.

  Returns
    the log context

### getLogLevel

    public LogLevel getLogLevel()

  Gets the log level of the entry.

  Returns
    the log level

### isExceptionEntry

    public boolean isExceptionEntry()

  Determines if the entry stores an exception.

  Returns
    `true` if the entry stores an exception

### getKey

    public String getKey()

  Gets the key for the log entry message in the resource bundle.

  Returns
    the log entry message key

### getArguments

    public Object[] getArguments()

  Gets the values for the arguments to the log entry message.

  Returns
    the arguments (or `null` if there are no arguments)

### getTime

    public Date getTime()

  Gets the time that the log entry was created.

  Returns
    the time

### getThreadName

    public String getThreadName()

  Gets the name of the thread that created the log entry.

  Returns
    the name of the thread

### getHost

    public String getHost()

  Gets the host that the log message was created on.

  Returns
    the host

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved